Can't get license to work

   39922   25   3
User Avatar
Member
50 posts
Joined: July 2005
Offline
I'm still not up and running. This is sad. :cry: :cry: :cry:
User Avatar
Staff
269 posts
Joined: July 2005
Offline
I've deleted some more licenses – are you up now?
User Avatar
Member
50 posts
Joined: July 2005
Offline
Yes Lucas I am up now. Thanks for your great work. Have a great week.
User Avatar
Member
5 posts
Joined: April 2022
Offline
Hi there, seems the license server is down or the web service api have some trouble ...can someone confirm?
I tried both from my machine and also to generate from the website and got the same error...

https://www.sidefx.com/services/non-commercial-license/ [www.sidefx.com]

error is :

500 Traceback (most recent call last): File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connection.py", line 174, in _new_conn conn = connection.create_connection( File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/util/connection.py", line 95, in create_connection raise err File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/util/connection.py", line 85, in create_connection sock.connect(sa) ConnectionRefusedError: Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 703, in urlopen httplib_response = self._make_request( File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 398, in _make_request conn.request(method, url, **httplib_request_kw) File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connection.py", line 239, in request super(HTTPConnection, self).request(method, url, body=body, headers=headers) File "/usr/lib/python3.8/http/client.py", line 1256, in request self._send_request(method, url, body, headers, encode_chunked) File "/usr/lib/python3.8/http/client.py", line 1302, in _send_request self.endheaders(body, encode_chunked=encode_chunked) File "/usr/lib/python3.8/http/client.py", line 1251, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) File "/usr/lib/python3.8/http/client.py", line 1011, in _send_output self.send(msg) File "/usr/lib/python3.8/http/client.py", line 951, in send self.connect() File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connection.py", line 205, in connect conn = self._new_conn() File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connection.py", line 186, in _new_conn raise NewConnectionError( urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f37a510b8e0>: Failed to establish a new connection: Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/requests/adapters.py", line 489, in send resp = conn.urlopen( File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/connectionpool.py", line 787, in urlopen retries = retries.increment( File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/urllib3/util/retry.py", line 592, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='internal.sidefx.com', port=9123): Max retries exceeded with url: /api (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f37a510b8e0>: Failed to establish a new connection: Connection refused')) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/var/www/innerlicensedb/webapi/views.py", line 254, in _dispatch result = handler(request, *args, **kwargs) File "/var/www/innerlicensedb/licenses/api.py", line 3878, in get_non_commercial_license NonCommercialLicense.get_non_commercial_license( File "/var/www/innerlicensedb/licenses/models.py", line 5439, in get_non_commercial_license cls._generate_non_commercial_or_engine_license( File "/var/www/innerlicensedb/licenses/models.py", line 5474, in _generate_non_commercial_or_engine_license script_output = hldaemon.make_license( File "/var/www/innerlicensedb/licenses/hldaemon.py", line 193, in make_license result = hldaemon_api("make_license", platform, product, version, tokens, File "/var/www/innerlicensedb/licenses/hldaemon.py", line 96, in hldaemon_api response = session.post( File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/requests/sessions.py", line 635, in post return self.request("POST", url, data=data, json=json, **kwargs) File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/requests/sessions.py", line 587, in request resp = self.send(prep, **send_kwargs) File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/requests/sessions.py", line 701, in send r = adapter.send(request, **kwargs) File "/home/prisms/virtualenvs/internal3/lib/python3.8/site-packages/requests/adapters.py", line 565, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPConnectionPool(host='internal.sidefx.com', port=9123): Max retries exceeded with url: /api (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f37a510b8e0>: Failed to establish a new connection: Connection refused'))
User Avatar
Member
219 posts
Joined: Oct. 2015
Offline
I also can't render anything this morning
[12:14:33] ERROR: No karma license found.
Edited by julca - Nov. 23, 2023 06:15:56
User Avatar
Staff
2514 posts
Joined: Sept. 2007
Offline
We've sorted out the server issues we were having this morning. If you're still having licensing issues, please contact support@sidefx.com. Thank you!
Chris McSpurren
Senior Quality Assurance Specialist
SideFX
  • Quick Links